---
title: XRPermissionStatus
slug: Web/API/XRPermissionStatus
tags:
  - API
  - AR
  - Interface
  - Mixed
  - Permissions
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRPermissionStatus
  - augmented
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_Header}}{{draft}}</p>

<p>The <code><strong>XRPermissionStatus</strong></code> interface defines the object returned by calling {{domxref("Permissions.query", "navigator.permissions.query()")}} for the <code>xr</code> permission name; it indicates whether or not the app or site has permission to use WebXR, an may be monitored over time for changes to that permissions tate.</p>

<h2 id="Properties">Properties</h2>

<p><em>In addition to the properties listed below, <code>XRPermissionStatus</code> includes the properties defined by its parent interface, {{domxref("PermissionStatus")}}.</em></p>

<dl>
 <dt>{{domxref("XRPermissionStatus.granted", "granted")}}</dt>
 <dd>An array of strings listing the names of the features for which permission has been granted as of the time at which <code>navigator.permissions.query()</code> was called. Any feature which was specified in either the {{domxref("XRPermissionDescriptor.optionalFeatures", "optionalFeatures")}} or {{domxref("XRPermissionDescriptor.requiredFeatures", "requiredFeatures")}} when calling <code>navigator.permissions.query()</code> are listed in <code>granted</code> if and only if permission to use them is granted.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No methods are defined by <code>XRPermissionStatus</code>.</em></p>

<h2 id="Usage_notes">Usage notes</h2>

<h2 id="Examples">Examples</h2>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebXR','#xrpermissionstatus','XRPermissionStatus')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XRPermissionStatus")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebXR_Device_API/Permissions_and_security">Permissions and security for WebXR</a></li>
 <li>{{domxref("XRPermissionStatus")}}</li>
 <li>{{domxref("navigator.permissions")}} and {{domxref("WorkerNavigator.permissions")}}</li>
 <li>{{domxref("Permissions")}}</li>
</ul>
